Subject: bug#3643: Bug#567083: emacs -Q doesn't fit on the user's screen

From: [email-masked]
Date: Fri, 29 Jan 2010 18:50:05 +0800

>>>>> "EMZ" == Evgeny M Zubok <[email-masked]> writes:
EMZ> What geometry your Emacs has at start? You may provide the geometry by
EMZ> emacs' option -geometry or by resource string emacs.geometry. Please,
EMZ> add Emacs.geometry: 80x35+0+0 to ~/.Xresources and don't forget to
EMZ> update resources with xrdb. Or run emacs -Q -geometry 80x35+0+0.

However my point is that I want emacs to look good for the first time
user. The first time user experience is equivalent to
$ emacs -Q
with no geometry specifications allowed.

EMZ> Note: I'm using Emacs22 based on Xaw3d toolkit and IceWM 1.3.6
EMZ> backported to Lenny. I have run Emacs on 800x600 right now, and with
EMZ> geometry options above all seems OK.

Try this experiment with icewm.
$ mv .mozilla .mozilla.old
$ firefox
Notice how it fits nicely?
Notice how
$ emacs -Q ends up with its bottom part stuck underneath the toolbar?